%define upstream_name	 Math-MatrixBool
%define upstream_version 5.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Matrix of Booleans
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp.perl.org/pub/CPAN/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bit::Vector) >= 7.100.0
BuildArch:  noarch

%description
Easy manipulation of matrices of booleans (Boolean Algebra).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std
mv %{buildroot}/%{_mandir}/man3/Math::Kleene.3pm %{buildroot}/%{_mandir}/man3/Math::Kleene-MatrixBool.3pm
mv  %{buildroot}/%{perl_vendorlib}/Math/Kleene.pod \
    %{buildroot}/%{perl_vendorlib}/Math/Kleene-MatrixBool.pod

%files
%defattr(-,root,root)
%doc META.yml
%{perl_vendorlib}/Math
%{_mandir}/*/*


%changelog
* Thu Feb 17 2011 jquelin <jquelin> 5.800.0-3.mga1
+ Revision: 53229
- fixing yet another file conflict with perl-Math-MatrixReal

* Wed Feb 16 2011 jquelin <jquelin> 5.800.0-2.mga1
+ Revision: 52681
- allow installation alongside perl-Math-MatrixReal

* Sat Jan 22 2011 jquelin <jquelin> 5.800.0-1.mga1
+ Revision: 32186
- mageia rebuild
- imported package perl-Math-MatrixBool


* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 5.800.0-1mdv2010.1
+ Revision: 461328
- update to 5.8

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 5.7-9mdv2010.0
+ Revision: 430500
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 5.7-8mdv2009.0
+ Revision: 241724
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.7-6mdv2008.0
+ Revision: 86613
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.7-5mdv2007.0
- Rebuild

* Thu May 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 5.7-4mdk
- Fix According to perl Policy
	- Source URL
	- BuildRequires

* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 5.7-3mdk
- spec cleanup
- %%mkrel
- better URL

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 5.7-2mdk
- fix buildrequires in a backward compatible way

* Tue Sep 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 5.7-1mdk 
- first mdk release

